import { Info } from "./info.js";
import { types_exports } from "./types.js";
var checks = Object.keys(types_exports), DefinedInfo = class extends Info {
	constructor(e, i, a, o) {
		let s = -1;
		if (super(e, i), mark(this, "space", o), typeof a == "number") for (; ++s < checks.length;) {
			let e = checks[s];
			mark(this, checks[s], (a & types_exports[e]) === types_exports[e]);
		}
	}
};
DefinedInfo.prototype.defined = !0;
function mark(e, n, r) {
	r && (e[n] = r);
}
export { DefinedInfo };
